Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Jul 2014, 15:40
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Facebook chat for Pidgin
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [16 Posts]   Goto page: 1, 2 Next
Author Message
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Wed 03 Feb 2010, 11:37    Post subject:  Facebook chat for Pidgin
Subject description: facebook chat plugin plus json-glib
 

EDit- Updated to Pidgin-Facebook chat ver.1.67
plus json-glib ver. 0.7.6

tested in 431
Must have Pidgin 2.6.5 or newer already installed
pidgin-facebookchat-1.67_plus_json-glib-0.7.6.pet
Description  pidgin-facebook_chat
pet

 Download 
Filename  pidgin-facebookchat-1.67_plus_json-glib-0.7.6.pet 
Filesize  549.49 KB 
Downloaded  785 Time(s) 

Last edited by scabz on Wed 23 Jun 2010, 15:40; edited 1 time in total
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
Subito Piano


Joined: 27 May 2007
Posts: 488
Location: UPSTATE New York

PostPosted: Sun 14 Mar 2010, 20:37    Post subject:  

Hi -- using Puppy 4.2 -- was able to get Pidgin 2.5.4 working. I downloaded your facebook-chat pet and ran it but after restart, Pidgin does not give me the option of adding a facebook chat account. Do i have to move something somewhere? Do i have a wrong version?

Thanks for any insight.
Back to top
View user's profile Send private message Visit poster's website 
Makoto


Joined: 03 Sep 2009
Posts: 1778
Location: Out wandering... maybe.

PostPosted: Mon 15 Mar 2010, 00:09    Post subject:  

You don't need the Facebook chat plugins, anymore. Facebook has switched to using XMPP, I believe (I say that, because I don't know if they were using it before, in part), so now, you can use it natively in Pidgin.

For the necessary settings, look at the first post referenced at planet.pidgin.im.

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Subito Piano


Joined: 27 May 2007
Posts: 488
Location: UPSTATE New York

PostPosted: Tue 16 Mar 2010, 23:27    Post subject:  

strange - those settings won't work for me (Pidgin 2.4.5) -- idk why, all is set correctly.
Back to top
View user's profile Send private message Visit poster's website 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Wed 17 Mar 2010, 00:03    Post subject:  

you need a newer version of Pidgin 2.6.5
http://www.murga-linux.com/puppy/viewtopic.php?search_id=1992909025&t=27199
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
thoase

Joined: 03 Apr 2009
Posts: 109
Location: Sweden

PostPosted: Wed 17 Mar 2010, 04:43    Post subject:  

Why don't you try eBuddy, http://www.ebuddy.com?

Quotes from website:
Welcome to eBuddy, your online messenger for MSN, Yahoo, Gtalk, Facebook, ICQ, MySpace and AIM (AOL). Whether you're at home, school, work or traveling; with eBuddy you can chat online everywhere anytime. eBuddy is available as a web based and mobile version.

eBuddy provides instant messaging on every computer, it even works when you are behind a firewall! eBuddy means no downloads, no installation of software or upgrades and no registration. Best of all it's free .. enjoy Smile
Back to top
View user's profile Send private message 
Subito Piano


Joined: 27 May 2007
Posts: 488
Location: UPSTATE New York

PostPosted: Wed 17 Mar 2010, 21:01    Post subject:  

hmm - i downloaded it (version 2.6.5) and also copied the purple-2 folder into /lib -- terminal says
Quote:
pidgin: symbol lookup error: /usr/lib/libpurple.so.0: undefined symbol: g_strcmp
0

Any thoughts? (Remember, i am trying this with Puppy 4.2)

Thanks for the idea, thoase, but it's a just a personal preference thing; i'm not a fan of meebo, and ebuddy is a similar kind of setup.
Back to top
View user's profile Send private message Visit poster's website 
Makoto


Joined: 03 Sep 2009
Posts: 1778
Location: Out wandering... maybe.

PostPosted: Wed 17 Mar 2010, 22:18    Post subject:  

Subito Piano wrote:
hmm - i downloaded it (version 2.6.5) and also copied the purple-2 folder into /lib


Why did you copy the folder?

The problem is, though, Wolf Pup's version of Pidgin 2.6.5 in the post scabz linked to only works on Puppy 4.3/.1, or any of the derivatives based on 4.3/4.3.1.

There was a page that had a .pet for 2.6.4 or so (latest is 2.6.6, actually, but nobody's tried creating a .pet for it) that would work under 4.2 (I had been using it under Puppy 4.2.1), but it's down at the moment (the website claims to be 'under construction').

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Subito Piano


Joined: 27 May 2007
Posts: 488
Location: UPSTATE New York

PostPosted: Thu 18 Mar 2010, 00:49    Post subject:  

Quote:
Why did you copy the folder?

HA! Ignorance! Razz Just trying to follow instructions earlier in this thread about copying libraries from /usr/share/lib to /lib.
Back to top
View user's profile Send private message Visit poster's website 
scabz


Joined: 30 Apr 2009
Posts: 302
Location: Tallahassee FL US

PostPosted: Wed 23 Jun 2010, 15:41    Post subject:  

Updated to ver.1.67
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
Makoto


Joined: 03 Sep 2009
Posts: 1778
Location: Out wandering... maybe.

PostPosted: Wed 23 Jun 2010, 21:03    Post subject:  

...but, why? Just use Facebook's XMPP chat method. That way, you don't need a third-party plugin.
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Subito Piano


Joined: 27 May 2007
Posts: 488
Location: UPSTATE New York

PostPosted: Wed 23 Jun 2010, 21:27    Post subject:  

I don't wanna use that method. I'm one of those ppl that hate FB but use it -- i don't wanna register into that facebook.myname.whatever stuff -- FB is anti-privacy to say the least and i'm trying to keep a low profile on it, just my friends. I'm not doing anything weird, i just loathe the day i apply for a new job and somebody lloks me up on facebook and gets all the wrong impression.

A political campaign not far from here took fb photos of the opposition candidate's page, cropped them, and tried to make him look like a jerk. I use FB mainly because so many ppl don't use regular IM and email -- and this way my students can easily contact me if they need questions answered about papers due, etc. I want everyone else out, and i figger every little bit helps.

Soo - i for one was very glad to use this plugin!
Back to top
View user's profile Send private message Visit poster's website 
mama21mama

Joined: 03 Apr 2010
Posts: 526
Location: Lincoln, Buenos Aires, Argentina

PostPosted: Fri 03 Dec 2010, 23:42    Post subject:  

gracias
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger 
puppyluvr


Joined: 06 Jan 2008
Posts: 3186
Location: Chickasha Oklahoma

PostPosted: Sat 04 Dec 2010, 03:00    Post subject:  

Very Happy Hello,

@Subito Piano..
FB isnt just "privacy insecure" but is funded mostly by data collection agencies.. I only got one because of my teenage daughters...Now, everyone has one...Scary really, considering the collective database it must represent!!

Now, to be a hypocrite...LOL..
http://www.facebook.com/group.php?gid=105376249522117

My Puppy Linux Users Group FB page...
Post a screenshot!!!

Exclamation Exclamation Exclamation Exclamation Exclamation Exclamation
Do not go to the ebuddy site on a machine with windoze on it....
Trust me....
Exclamation Exclamation Exclamation Exclamation Exclamation Exclamation

_________________
Close the Windows, and open your eyes, to a whole new world
http://puppylinuxstuff.meownplanet.net/puppyluvr/
Puppy Linux Users Group on Facebook

Puppy since 2.15CE...
Back to top
View user's profile Send private message Visit poster's website 
wildsage2


Joined: 12 Oct 2010
Posts: 42
Location: Victoria, British Columbia

PostPosted: Wed 15 Dec 2010, 14:52    Post subject: Puppy 5.1
Subject description: Pidgin pet
 

Makoto wrote:
...but, why? Just use Facebook's XMPP chat method. That way, you don't need a third-party plugin.


I have a weird experience. I seem unable to download Puppy Lucid's version of Pidgin. I get an error at every server. And I can't get the Linux Portable apps version to work. So it was suggested to me to get the new version 7 for Windows running it through Wine.

This worked perfectly for Yahoo, MSN, but when it came to using the XMPP method for Facebook, it seems that the Jabber server is European, so I couldn't connect, nor could I alter it to the North American domain.

Any thoughts?

Sincerely,
Christopher

_________________
Quote:
Teach your tongue to say ‘I do not know’ and you will progress.


Maimonides
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [16 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0862s ][ Queries: 12 (0.0132s) ][ GZIP on ]